Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.capabilities
Class WPSGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.wps.capabilities.WPSGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class WPSGetCapabilities

extends GetCapabilities

WPSGetCapabilitiesRequest.java Created on 08.03.2006. 22:15:18h

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$
See Also:
  Serialized Form

Constructor Summary
`protected` | `WPSGetCapabilities(String id, String version, String updateSequence, String[] acceptVersions, String[] sections, String[] acceptFormats, Map<String,String> vendoreSpec)`

Method Summary
`static WPSGetCapabilities` | `create(Map<String,String> request)` creates a WPS GetCapabilities request class representation form a key-value-pair encoded request
`static WPSGetCapabilities` | `create(String id, Element element)` XML-coded get capabilities request not supported.
`static WPSGetCapabilities` | `create(String id, String request)` creates a WPS GetCapabilities request class representation from a key-value-pair encoded request
`static WPSGetCapabilities` | `create(String id, String version, String updateSequence, String[] acceptVersions, String[] sections, String[] acceptFormats, Map<String,String> vendoreSpec)` creates a `WFSGetCapabilitiesRequest` object.
`String` | `getServiceName()`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WPSGetCapabilities

    protected WPSGetCapabilities(String id,
                                 String version,
                                 String updateSequence,
                                 String[] acceptVersions,
                                 String[] sections,
                                 String[] acceptFormats,
                                 Map<String,String> vendoreSpec)

Parameters:
  `id` -
  `version` -
  `updateSequence` -
  `acceptVersions` -
  `sections` -
  `acceptFormats` -
  `vendoreSpec` -

Method Detail

### create

    public static WPSGetCapabilities create(String id,
                                            String version,
                                            String updateSequence,
                                            String[] acceptVersions,
                                            String[] sections,
                                            String[] acceptFormats,
                                            Map<String,String> vendoreSpec)

  creates a `WFSGetCapabilitiesRequest` object.

  Parameters:
    `id` - id of the request
    `version` -
    `updateSequence` -
    `acceptVersions` -
    `sections` -
    `acceptFormats` -
    `vendoreSpec` -
  Returns:
    the bean created from given strings.

### create

    public static WPSGetCapabilities create(String id,
                                            String request)
                                     throws InvalidParameterValueException,
                                            MissingParameterValueException

  creates a WPS GetCapabilities request class representation from a key-value-pair encoded request

  Parameters:
    `id` -
    `request` -
  Returns:
    the bean created from the request
  Throws:
    `InvalidParameterValueException`
    `MissingParameterValueException`

### create

    public static WPSGetCapabilities create(Map<String,String> request)
                                     throws InvalidParameterValueException,
                                            MissingParameterValueException

  creates a WPS GetCapabilities request class representation form a key-value-pair encoded request

  Parameters:
    `request` -
  Returns:
    the bean created from the given request
  Throws:
    `InvalidParameterValueException`
    `MissingParameterValueException`

### create

    public static WPSGetCapabilities create(String id,
                                            Element element)
                                     throws OGCWebServiceException

  XML-coded get capabilities request not supported.

  Parameters:
    `id` -
    `element` -
  Returns:
    the bean created from the given xml document.
  Throws:
    `OGCWebServiceException`
    `MissingParameterValueException`
    `InvalidParameterValueException`
  See Also:
    "OGC 05-007r4 Subclause 8.2"

### getServiceName

    public String getServiceName()

  Returns:
    the name of the service that is targeted by the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org